<template>
    <div class="listmails">
        
        <viewmessages v-if="isPatientOrDoctor == 'normal'" v-on:MessageIdEmit="receiveMessageId" :listMessages="listMessagesAPI" />
        <viewreply v-if="isPatientOrDoctor == 'doctor'" v-on:MessageIdEmit="receiveMessageId" :listMessages="listMessagesAPI" />
  
    </div>
  
</template>

<script>
import axios from 'axios';
import viewmessages from '@/components/MessagesSentEmailCustom.vue'; // el paciente ve sus mensajes enviados
import viewreply from '@/components/ReplySentEmailCustom.vue'; // el doctor ve sus mensajes enviado

import { getIsAdmin } from '../../../backend/utils/utils'
import { getAuthToken } from '../../../backend/utils/utils'

export default {
    name: 'MessagesSentEmail',
    components:{
        viewmessages,
        viewreply
    },
    // inicio data
    data(){
        return {
            listMessagesAPI: [],
            messageId: null,
            
            isPatientOrDoctor: getIsAdmin()

        }
    },
    // FIN DATA
    
    // inicio methods
    methods:{
        // conseguir mensajes
        getMessages(){
            var self = this

            // inicio codigo temporal
             axios.get('http://localhost:3050/sentmail/', {
                headers:{
                    Authorization: getAuthToken()
                }
            })
            // fin codigo temporal

            .then( function(response) {
                console.log(response)

                self.listMessagesAPI = response.data.data

            } ) 
            .catch( function (error) {
                console.log(error)
            })

        },
        receiveMessageId(dataMessage){ // dataMessage viene del componente TodasLasNotas.vue
        
        this.$router.push(`/inbox/${dataMessage.id_mess}`) // vamos al mensaje seleccionado
         console.log('MessagesSentEmail.vue, id mensaje-->' + dataMessage.id_mess)
        // this.notaId = dataMessage.id
        },
    },
    // FIN METHODS
created(){
        this.getMessages(); // obtener datos
    }
}
</script>

<style scoped>

.listmails {
  padding: 0 5rem
}

</style>